Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.catedit
Class DefaultCategoryElementRenderer

    java.lang.Object
      com.tonbeller.wcf.catedit.DefaultCategoryElementRenderer

All Implemented Interfaces:
  CategoryElementRenderer

public class DefaultCategoryElementRenderer
extends java.lang.Object
implements CategoryElementRenderer

creates a DOM Element named "cat-catecory" with attributes "name" and "icon"

Author:
  av

Constructor Summary
`DefaultCategoryElementRenderer()` Constructor for DefaultCategoryElementRenderer.

Method Summary
`java.lang.String` | `getElementName()` Returns the elementName.
`org.w3c.dom.Element` | `render(RequestContext context, org.w3c.dom.Document factory, Category cat)` creates a DOM Element with attributes "name" and "icon"
`void` | `setElementName(java.lang.String elementName)` Sets the elementName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultCategoryElementRenderer

    public DefaultCategoryElementRenderer()

  Constructor for DefaultCategoryElementRenderer.

Method Detail

### render

    public org.w3c.dom.Element render(RequestContext context,
                                      org.w3c.dom.Document factory,
                                      Category cat)

  creates a DOM Element with attributes "name" and "icon"

  Specified by:
    `render` in interface `CategoryElementRenderer`

### getElementName

    public java.lang.String getElementName()

  Returns the elementName.

  Returns:
    String

### setElementName

    public void setElementName(java.lang.String elementName)

  Sets the elementName.

  Parameters:
    `elementName` - The elementName to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD